Subject: [Captive-portals] Captive-Portal Identification in DHCP / RA draft-ietf-capport-rfc7710bis-03

From: "Tirupachur Comerica, Subash" <[email-masked]>
Date: Mon, 27 Apr 2020 19:07:32 +0000

Hi,
I was reviewing this draft and found a few missing text(sometimes obvious) enumerated below(missing text in bold underline)
Section 2.1 IPv4 DHCP Option
   o  Code: The Captive-Portal DHCPv4 option (TBD) (one octet).
   o  Len: The length, in octets of the URI.(one octet)
Section 2.2: IPv6 DHCP Option
   o  option-code: The Captive-Portal DHCPv6 option (103) (two octets).
   o  option-len: The length, in octets of the URI.(two octets) --? Please see question below
   o  URI: The contact URI for the captive portal that the user should
      connect to (encoded following the rules in [RFC3986<https://tools.ietf.org/html/rfc3986>]).

-          Question on the above option-len: If this is two octets in IPv6 DHCP option, then the URI can be longer then 255. Option-len-value <=255, correct?

Section 2.3: The Captive-Portal IPv6 RA Option
   o  Type: 37(one octet)
   o  Length: 8-bit unsigned integer.  The length of the option
      (including the Type and Length fields) in units of 8 bytes.(one octet)
   o  URI: The contact URI for the captive portal that the user should
      connect to.  For the reasons described above, the implementer
      might want to use an IP address literal instead of a DNS name.
      This should be padded with NULL (0x0) to make the total option
      length (including the Type and Length fields) a multiple of 8
      bytes.

Thanks,
Subash

---

From: "Martin Thomson" <[email-masked]>
Date: Tue, 28 Apr 2020 08:54:17 +1000

Thanks for the input.  Apparently great minds think alike as another reviewer found the exact same shortcoming just days ago.  The next revision should have these fixed.

On Tue, Apr 28, 2020, at 05:07, Tirupachur Comerica, Subash wrote:
>  
> Hi,
> 
> I was reviewing this draft and found a few missing text(sometimes 
> obvious) enumerated below(missing text in *_bold underline_*)
> 
>  o Len: The length, in octets of the URI.*_(one octet)_*
> 
>  o option-len: The length, in octets of the URI.*_(two octets) --? 
> Please see question below_*
> 
> - *Question on the above option-len: If this is two octets in IPv6 DHCP 
> option, then the URI can be longer then 255. Option-len-value <=255, 
> correct?*
> 
> 
>  o Type: 37*_(one octet)_*
> 
>  (including the Type and Length fields) in units of 8 bytes.(*_one octet_*)
> 
> _______________________________________________
> Captive-portals mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/captive-portals
>

---

From: Erik Kline <[email-masked]>
Date: Mon, 27 Apr 2020 16:01:05 -0700

And the 255 byte URI limit is mentioned in section 2 (~3rd paragraph).

I guess if someone wants longer URIs they have to move to an IPv6-only
network.  ;-)

On Mon, Apr 27, 2020 at 3:54 PM Martin Thomson <[email-masked]> wrote:

> Thanks for the input.  Apparently great minds think alike as another
> reviewer found the exact same shortcoming just days ago.  The next revision
> should have these fixed.
>

---

From: "Tirupachur Comerica, Subash" <[email-masked]>
Date: Mon, 27 Apr 2020 23:08:22 +0000

Hi Martin,
Thanks for your quick response.
Good to know it is already taken care of.

Hi Erik,
Thanks, but it would be very handy next to the TLV formats (-:

Thanks,
Subash

From: Captive-portals <[email-masked]> on behalf of Erik Kline <[email-masked]>
Date: Monday, April 27, 2020 at 4:01 PM
To: Martin Thomson <[email-masked]>
Cc: captive-portals <[email-masked]>
Subject: Re: [Captive-portals] Captive-Portal Identification in DHCP / RA draft-ietf-capport-rfc7710bis-03

And the 255 byte URI limit is mentioned in section 2 (~3rd paragraph). I guess if someone wants longer URIs they have to move to an IPv6-only network. ;-) 
External ([email-masked]<mailto:[email-masked]>)
Report This Email<https://shared.outlook.inky.com/report?id=Y29tbXNjb3BlL3N1YmFzaC50aXJ1cGFjaHVyY29tZXJpY2FAY29tbXNjb3BlLmNvbS8zYTNmMTExMzg0MDA0NzRiZTk5OGM2MWY2NzU1Mzc0Ni8xNTg4MDI4NDg5Ljk3#key=d3b46fe4b68f375f8fd8e71015ee2386>  FAQ<https://www.inky.com/banner-faq/>  Protection by INKY<https://www.inky.com>

I guess if someone wants longer URIs they have to move to an IPv6-only network.  ;-)

On Mon, Apr 27, 2020 at 3:54 PM Martin Thomson <[email-masked]<mailto:[email-masked]>> wrote:
Thanks for the input.  Apparently great minds think alike as another reviewer found the exact same shortcoming just days ago.  The next revision should have these fixed.

On Tue, Apr 28, 2020, at 05:07, Tirupachur Comerica, Subash wrote:
>  connect to (encoded following the rules in [RFC3986
> <https://tools.ietf.org/html/rfc3986<https://secure-web.cisco.com/1DrhtknMvGSxXwxFONyWoHl0x3RW7O9lhyY2MvO7kekYqwa5WAARuLPf3vnfHvuN1Vk8X3US9s9qUMiMr91dRF7YCnTxzqLTh8FZdtcbV9c8f4Fz9mX0Ye_IiK2z90ivtQfDDD_q9dlxmDk9nB79xJNeStSioAtPBK7GPiN00nztu0xX4F3R-YxjyggE1_LnZiRDCiP6VmSu4zGA6Cne0yLizaMLRa8AHTsz6mu6B2Vb4--fTMRy4NijE1_Jv0p6UraT0dlWWvXvAtqVNYRPeWSldiUktyQVdq7jo8n8EBhmgFM0_Pg6DKjr73YAeoAqd9odm9LtZfoMZ0wsU8MeWGxE5O0mm9gCShDLAF50WWWA/https%3A%2F%2Ftools.ietf.org%2Fhtml%2Frfc3986>>]).
>
>
> [email-masked]<mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/captive-portals<https://secure-web.cisco.com/1tJvH-_AukQ6qvN16te7iRBGRW-iDeGIOwIWpTIdjeVnmqD2uy0rRtd9g5bZdn79YsnXiJb0rFynoh1YMs0CUFErgSmZqQKlOb_x4wEfTDpgUsR6Vl1K-dlmbB5h-qkkmm3luW-aSso5jygsNyy3_YkhAjf8CzGmUDxVfl2OZb3BqCSIHfm6cnZEeUFREGCcjL2lP_h6F5mTF8MD-OGrb-Oj4o6WHH-WJT72DFz7egBnI3VkSDQiSD9tbXRTGxVlm9gcesD9iXs944jEHmQFD6S0_XlpmXR-Mp9Hg9fY0PfE7hc_ww9WsFJ4gStx82yvxAa1Ni16TxAxTYqUkhlK0JA/https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fcaptive-portals>
>

_______________________________________________
Captive-portals mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/captive-portals<https://secure-web.cisco.com/1tJvH-_AukQ6qvN16te7iRBGRW-iDeGIOwIWpTIdjeVnmqD2uy0rRtd9g5bZdn79YsnXiJb0rFynoh1YMs0CUFErgSmZqQKlOb_x4wEfTDpgUsR6Vl1K-dlmbB5h-qkkmm3luW-aSso5jygsNyy3_YkhAjf8CzGmUDxVfl2OZb3BqCSIHfm6cnZEeUFREGCcjL2lP_h6F5mTF8MD-OGrb-Oj4o6WHH-WJT72DFz7egBnI3VkSDQiSD9tbXRTGxVlm9gcesD9iXs944jEHmQFD6S0_XlpmXR-Mp9Hg9fY0PfE7hc_ww9WsFJ4gStx82yvxAa1Ni16TxAxTYqUkhlK0JA/https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fcaptive-portals>

---

From: Erik Kline <[email-masked]>
Date: Mon, 27 Apr 2020 16:21:23 -0700

That seems reasonable to me.  I've added a comment to
https://github.com/capport-wg/7710bis/issues/20 to remind myself.

On Mon, 27 Apr 2020 at 16:08, Tirupachur Comerica, Subash <
[email-masked]> wrote:

> *From: *Captive-portals <[email-masked]> on behalf of
> Erik Kline <[email-masked]>
> *Date: *Monday, April 27, 2020 at 4:01 PM
> *To: *Martin Thomson <[email-masked]>
> *Cc: *captive-portals <[email-masked]>
> *Subject: *Re: [Captive-portals] Captive-Portal Identification in DHCP /
> RA draft-ietf-capport-rfc7710bis-03
>
>
>
> > <https://tools.ietf.org/html/rfc3986
> <https://secure-web.cisco.com/1DrhtknMvGSxXwxFONyWoHl0x3RW7O9lhyY2MvO7kekYqwa5WAARuLPf3vnfHvuN1Vk8X3US9s9qUMiMr91dRF7YCnTxzqLTh8FZdtcbV9c8f4Fz9mX0Ye_IiK2z90ivtQfDDD_q9dlxmDk9nB79xJNeStSioAtPBK7GPiN00nztu0xX4F3R-YxjyggE1_LnZiRDCiP6VmSu4zGA6Cne0yLizaMLRa8AHTsz6mu6B2Vb4--fTMRy4NijE1_Jv0p6UraT0dlWWvXvAtqVNYRPeWSldiUktyQVdq7jo8n8EBhmgFM0_Pg6DKjr73YAeoAqd9odm9LtZfoMZ0wsU8MeWGxE5O0mm9gCShDLAF50WWWA/https%3A%2F%2Ftools.ietf.org%2Fhtml%2Frfc3986>
> >]).
> >
> >
> <https://secure-web.cisco.com/1tJvH-_AukQ6qvN16te7iRBGRW-iDeGIOwIWpTIdjeVnmqD2uy0rRtd9g5bZdn79YsnXiJb0rFynoh1YMs0CUFErgSmZqQKlOb_x4wEfTDpgUsR6Vl1K-dlmbB5h-qkkmm3luW-aSso5jygsNyy3_YkhAjf8CzGmUDxVfl2OZb3BqCSIHfm6cnZEeUFREGCcjL2lP_h6F5mTF8MD-OGrb-Oj4o6WHH-WJT72DFz7egBnI3VkSDQiSD9tbXRTGxVlm9gcesD9iXs944jEHmQFD6S0_XlpmXR-Mp9Hg9fY0PfE7hc_ww9WsFJ4gStx82yvxAa1Ni16TxAxTYqUkhlK0JA/https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fcaptive-portals>
> >
>
> <https://secure-web.cisco.com/1tJvH-_AukQ6qvN16te7iRBGRW-iDeGIOwIWpTIdjeVnmqD2uy0rRtd9g5bZdn79YsnXiJb0rFynoh1YMs0CUFErgSmZqQKlOb_x4wEfTDpgUsR6Vl1K-dlmbB5h-qkkmm3luW-aSso5jygsNyy3_YkhAjf8CzGmUDxVfl2OZb3BqCSIHfm6cnZEeUFREGCcjL2lP_h6F5mTF8MD-OGrb-Oj4o6WHH-WJT72DFz7egBnI3VkSDQiSD9tbXRTGxVlm9gcesD9iXs944jEHmQFD6S0_XlpmXR-Mp9Hg9fY0PfE7hc_ww9WsFJ4gStx82yvxAa1Ni16TxAxTYqUkhlK0JA/https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fcaptive-portals>
>

---

From: "Tirupachur Comerica, Subash" <[email-masked]>
Date: Tue, 28 Apr 2020 06:59:38 +0000

Thank you Erik.

Thanks,
Subash

From: Erik Kline <[email-masked]>
Reply-To: "[email-masked]" <[email-masked]>
Date: Monday, April 27, 2020 at 4:21 PM
To: "Tirupachur Comerica, Subash" <[email-masked]>
Cc: Erik Kline <[email-masked]>, Martin Thomson <[email-masked]>, captive-portals <[email-masked]>
Subject: Re: [Captive-portals] Captive-Portal Identification in DHCP / RA draft-ietf-capport-rfc7710bis-03

That seems reasonable to me. I've added a comment to https://github.com/capport-wg/7710bis/issues/20 to remind myself. 
External ([email-masked]<mailto:[email-masked]>)
Report This Email<https://shared.outlook.inky.com/report?id=Y29tbXNjb3BlL3N1YmFzaC50aXJ1cGFjaHVyY29tZXJpY2FAY29tbXNjb3BlLmNvbS9kZjc5M2NkZTJjZjFjYzFlYWQ0ZTk4MzRiYTAyYzI0Ni8xNTg4MDI5NzAwLjk2#key=850c2ad3fbaf7de1573a58c6b57eb478>  FAQ<https://www.inky.com/banner-faq/>  Protection by INKY<https://www.inky.com>

That seems reasonable to me.  I've added a comment to https://github.com/capport-wg/7710bis/issues/20<https://secure-web.cisco.com/1xQsAp7cATl8gPr-QWoi668m2GtFKavKqOx9sXK4NPslyNwT0GdzJAKpGTXL832Ekwf9rM-DhH99k0snjL_GVs0MlsP9HZtmh4ilSEsXKe4V1d1ZuwzJHtizR8evd7qs8fNmPrBRAtL3CMfn8oqx_26TkZv5XbEeH1h-PFkxq7_JO02LCixmFXWa5wm3A_1r_dTg6OiYZGalkIe82YqidLG7NAAqrw1q9Dp1GIqk7xtCAmHq_a6g9133-A8xf-Ri6ehxnF-aaITj0Yt8N365lzTMW9sxTx6TQ0CLJ7PKAQIBsOn4EG8KQV4L2tJotHsqvWTc6N9VtQU-bB6KTr5y3Ew/https%3A%2F%2Fgithub.com%2Fcapport-wg%2F7710bis%2Fissues%2F20> to remind myself.

On Mon, 27 Apr 2020 at 16:08, Tirupachur Comerica, Subash <[email-masked]<mailto:[email-masked]>> wrote:
Hi Martin,
Thanks for your quick response.
Good to know it is already taken care of.

Hi Erik,

Thanks,
Subash

From: Captive-portals <[email-masked]<mailto:[email-masked]>> on behalf of Erik Kline <[email-masked]<mailto:[email-masked]>>
Date: Monday, April 27, 2020 at 4:01 PM
To: Martin Thomson <[email-masked]<mailto:[email-masked]>>
Cc: captive-portals <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Captive-portals] Captive-Portal Identification in DHCP / RA draft-ietf-capport-rfc7710bis-03

https://www.ietf.org/mailman/listinfo/captive-portals<https://secure-web.cisco.com/1j0SWBePCy3WnH9A-ThhDdHNDKypBcf-3To4_rL6YLKsRfDzptFtGTaw3BhigH6Xeoeb9OAasugu9kGQUrKl9KNouGaU9TU2-LWTqROSAoKFNaufjpyZMxaTG--KeD6onxmlWhGX64Kxlm4dJhQlPsXat4LQyAQr3M9Y_uIILRNLn6w5-xu40lVdZ-ktrnmpz_yYk0o1COL4Hz2qngo7Wd7qQYULEse6fAqWdUSuxUVVWh3hTHJ4VlGMvGvNQF-f7Uh3hOg8vJQnX-Lc6Xj7z2XyEQqc_L-C182nS-iSbQhGifXdQpes7GXIHzFDgmqlgRRH_fs8e2WArX-HyngqI1e8iFniJuhN9E4Y9m9le_Pg/https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fcaptive-portals>